import { PrivacyDataTags } from "../../../telemetry/TraceLogging";
import { IWidgetErrorTelemetryEvent, IWidgetPerformanceEvent, IWidgetTelemetryEvent, WidgetSize } from "../apis/api.interfaces";
import { IWidgetInstanceInternal } from "../orchestrator/IWidgetInstanceInternal";
import { IWidgetTelemetryApiInternal } from "./widgetInternalApi.interfaces";
export declare class WidgetTelemetryApi implements IWidgetTelemetryApiInternal {
    private _dmaPolicyApi;
    private getDMAPolicyEvaluatorApi;
    private setWebXTInteractionTelemetryEvent;
    private updateOutlookProperty;
    private updateEventProperties;
    sendTelemetryEvent(event: IWidgetTelemetryEvent | IWidgetErrorTelemetryEvent): void;
    sendPerformanceEvent(event: IWidgetPerformanceEvent): void;
    markPerfEvent(eventName: string, level?: PrivacyDataTags, payload?: any): void;
    sendWebXTWidgetCardActionTelemetryAsync(instance: IWidgetInstanceInternal, actionId: string | undefined, isNav: boolean): Promise<void>;
    sendWebXTWidgetVisibilityTelemetry(instance: IWidgetInstanceInternal): void;
    sendWebXTWidgetActivationUrlTelemetryAsync(instance: IWidgetInstanceInternal): Promise<void>;
    sendWebXTWidgetActionMenuTelemetryAsync(instance: IWidgetInstanceInternal, isActionMenuOpen: boolean): Promise<void>;
    sendWebXTWidgetUnpinTelemetryAsync(instance: IWidgetInstanceInternal): Promise<void>;
    sendWebXTWidgetSizeChangeTelemetryAsync(instance: IWidgetInstanceInternal, newSize: WidgetSize): Promise<void>;
}
